Name:		rush
Version:	1.9
Release:	1
Summary:	Restricted User Shell
Source0:	ftp://ftp.gnu.org/pub/gnu/rush/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnu.org/pub/gnu/rush/%{name}-%{version}.tar.bz2.sig
Patch0:		%{name}-%{version}-aix.patch
URL:		http://www.gnu.org/software/rush/
Group:		System/Shells
License:	GNU General Public License v3 (GPL v3)
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	/sbin/install-info, info

%description
GNU Rush is a Restricted User Shell designed for sites providing limited
remote access to their resources, such as SVN or Git repositories, scp, or
the like. Using a sophisticated configuration file, Rush gives you complete
control over the command lines that users execute, as well as over the usage
of system resources such as virtual memory, CPU time, etc. In particular,
it allows you to run remote programs in a chrooted environment, which is
important with such programs as sftp-server or scp that lack this ability.


%prep
%setup -q
%patch0


%build
export CC="cc_r -qcpluscmt"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info*

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin sbin
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%post
/sbin/install-info %{_infodir}/%{name}.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS
%config(noreplace) %{_sysconfdir}/rush.rc
%{_bindir}/*
%{_sbindir}/*
%{_infodir}/%{name}.info*
/usr/bin/*
/usr/sbin/*


%changelog
* Thu Apr 25 2019 Michael Perzl <michael@perzl.org> - 1.9-1
- updated to version 1.9

* Mon Oct 03 2016 Michael Perzl <michael@perzl.org> - 1.8-1
- updated to version 1.8

* Thu Jul 08 2010 Michael Perzl <michael@perzl.org> - 1.7-1
- first version for AIX V5.1 and higher
